Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class DeletionHookFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protege.model.framestore.DeletionHookFrameStore

All Implemented Interfaces:
  FrameStore

    public class DeletionHookFrameStore

extends FrameStoreAdapter

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`DeletionHookFrameStore()`

Method Summary
`void` | `addHook(DeletionHook hook)`
`void` | `deleteCls(Cls cls)` Delete a single leaf class.
`void` | `deleteFacet(Facet facet)`
`void` | `deleteSimpleInstance(SimpleInstance simpleInstance)`
`void` | `deleteSlot(Slot slot)`
`Set<DeletionHook>` | `getHooks()`
`void` | `handleDelete(Frame frame)`
`void` | `removeHook(DeletionHook hook)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperclass, addDirectSuperslot, addDirectTemplateSlot, addDirectType, beginTransaction, beginTransaction, commitTransaction, createCls, createFacet, createSimpleInstance, createSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectSuperclass, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, replaceFrame, rollbackTransaction, setDirectOwnSlotValues, setDirectTemplateFacetValues, setDirectTemplateSlotValues`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeletionHookFrameStore

    public DeletionHookFrameStore()

Method Detail

### addHook

    public void addHook(DeletionHook hook)

### removeHook

    public void removeHook(DeletionHook hook)

### getHooks

    public Set<DeletionHook> getHooks()

### handleDelete

    public void handleDelete(Frame frame)

### deleteCls

    public void deleteCls(Cls cls)

  Description copied from interface: `FrameStore`
  Delete a single leaf class. The operation fails if the class has subclasses or instances.

  Specified by:
    `deleteCls` in interface `FrameStore`
  Overrides:
    `deleteCls` in class `FrameStoreAdapter`
  Parameters:
    `cls` - Class to be deleted

### deleteSlot

    public void deleteSlot(Slot slot)

  Specified by:
    `deleteSlot` in interface `FrameStore`
  Overrides:
    `deleteSlot` in class `FrameStoreAdapter`

### deleteFacet

    public void deleteFacet(Facet facet)

  Specified by:
    `deleteFacet` in interface `FrameStore`
  Overrides:
    `deleteFacet` in class `FrameStoreAdapter`

### deleteSimpleInstance

    public void deleteSimpleInstance(SimpleInstance simpleInstance)

  Specified by:
    `deleteSimpleInstance` in interface `FrameStore`
  Overrides:
    `deleteSimpleInstance` in class `FrameStoreAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.